aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorTadao Tanikawa <tanikawa.tadao@jp.panasonic.com>2016-10-19 01:01:53 +0200
committerTadao Tanikawa <tanikawa.tadao@jp.panasonic.com>2016-10-18 23:15:11 +0000
commitdbe4baf278183852fced3eb3b5e34dc94fb39281 (patch)
treef70ed75f02e40383ce6bf46371111a7308fd72d9 /scripts
parent38b186d722501d06dde0b371e14e2cc2e0b9a70d (diff)
Fix aglsetup always succeeded regardless of whether errors or not
The aglsetup is always succeeded regardless of whether got errors while executing sub scripts or not. This is caused by following script. call_func 2>&1 | tee xxxx.log The result of this line always becomes 0 (succeeded) by result of command 'tee'. The '$PIPESTATUS[]' should be used for this case. Change-Id: I67bf0dbc86331ec7858bd8edb4739a5e7729275b Signed-off-by: Tadao Tanikawa <tanikawa.tadao@jp.panasonic.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/.aglsetup_genconfig.bash22
1 files changed, 11 insertions, 11 deletions
diff --git a/scripts/.aglsetup_genconfig.bash b/scripts/.aglsetup_genconfig.bash
index 57a31e261..65f4c3645 100755
--- a/scripts/.aglsetup_genconfig.bash
+++ b/scripts/.aglsetup_genconfig.bash
@@ -373,17 +373,17 @@ EOF
append_fragment $BUILDDIR/conf/setup.sh "" "echo '--- end of setup script'"
infon " Executing setup script ... "
- execute_setup $BUILDDIR/conf/setup.sh 2>&1 | tee $BUILDDIR/conf/setup.log \
- && {
- info "OK"
- [[ $VERBOSE == 1 ]] && dump_log $BUILDDIR/conf/setup.log
- rm $BUILDDIR/conf/setup.sh
- } \
- || {
- info "FAIL: please check $BUILDDIR/conf/setup.log"
- dump_log $BUILDDIR/conf/setup.log
- return 1
- }
+ execute_setup $BUILDDIR/conf/setup.sh 2>&1 | tee $BUILDDIR/conf/setup.log
+ [[ ${PIPESTATUS[0]} == 0 ]] && {
+ info "OK"
+ [[ $VERBOSE == 1 ]] && dump_log $BUILDDIR/conf/setup.log
+ rm $BUILDDIR/conf/setup.sh
+ } \
+ || {
+ info "FAIL: please check $BUILDDIR/conf/setup.log"
+ dump_log $BUILDDIR/conf/setup.log
+ return 1
+ }
# NOTE: the setup.sh script is removed if execution succeeded (only the log remains)
}